Skip to Content

Update an API key

Updates an API key's settings and returns the updated key. A field left out keeps its value.

PATCH
/v1/api-keys/{id}

Updates an API key's settings and returns the updated key. A field left out keeps its value.

Authorization

apiKey
headerx-api-key<token>

Path Parameters

id*string
Match^key_[0-9a-hjkmnp-tv-z]{16,24}$

Request Body

application/json
  1. body
name?|null
description?string|null

Response Body

ApiKey

application/json
  1. response
id*string
name*string
key?string|null
start*string|null
end*string|null
description?string|null
createdAt*string
expiresAt*string|null
lastUsedAt*string|null
isActive*boolean
access*|
owner*|null
Example Request
import { createClient } from "samva";

const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });

const result = await samva.apiKeys.update({
  "id": "example"
});
Example Response
{
  "id": "string",
  "name": "string",
  "key": "string",
  "start": "string",
  "end": "string",
  "description": "string",
  "createdAt": "string",
  "expiresAt": "string",
  "lastUsedAt": "string",
  "isActive": true,
  "access": {
    "mode": "full"
  },
  "owner": {
    "id": "string",
    "name": "string",
    "email": "string"
  }
}

Related documentation